Can't find compatible torchvision version for torch for jetpack 5.1

Hi @surajsingh52, did you try building torchvision from source like shown in the Installation section of this thread?

torchvision 0.14 should work with PyTorch 1.14, and torchvision 0.15 for PyTorch 2.0. It’s more important that torchvision gets compiled with CUDA than the specific version.

You can also copy torchvision wheel out of this container (they are found under /opt in the container)